| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 > Class Template Reference
[Common Plugin Classes]

Class to write some text. More...

`#include <csplugincommon/canvas/draw_text.h>`

List of all members.

## Static Public Member Functions
static void | DrawText (csSoftFontCache *cache, iFont *font, int pen_x, int pen_y, Tpixel fg, uint8 alphaFG, Tpixel bg, uint8 alphaBG, const void *text, bool isWide, uint flags)

## Detailed Description

### template<class Tpixel, class Tpixmixer1, class Tpixmixer2, class Tpixmixer3>
class csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 >

Class to write some text.

Needs 3 PixMixers: one for to mix with the foreground color, one to mix with the background color, one to interpolate between mixed FG and BG.

Definition at line 42 of file draw_text.h.

The documentation for this class was generated from the following file:

- csplugincommon/canvas/draw_text.h